<!-- 	Contour - Android drawing teacher application
		Copyright (C) 2014  Johannes Riedmann
	
		This program is free software: you can redistribute it and/or modify
		it under the terms of the GNU General Public License as published by
		the Free Software Foundation, either version 3 of the License, or
		(at your option) any later version.
		
		This program is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
		GNU General Public License for more details.
		
		You should have received a copy of the GNU General Public License
		along with this program.  If not, see <http://www.gnu.org/licenses/>. -->

<!DOCTYPE ui:UiBinder SYSTEM "http://dl.google.com/gwt/DTD/xhtml.ent">
<ui:UiBinder xmlns:ui="urn:ui:com.google.gwt.uibinder"
	xmlns:g="urn:import:com.google.gwt.user.client.ui">
	<ui:style>
	.important {
		font-weight: bold;
	}
	</ui:style>
	
	<g:HTMLPanel>
		<g:VerticalPanel width="" height="">
			<g:VerticalPanel ui:field="vpnContainer">
					<g:VerticalPanel>
						<g:Grid>
						<g:row>
							<g:customCell>
								<g:Label text="Title (en):"/>
							</g:customCell>
							<g:customCell>
								<g:TextBox ui:field="txtTitleEN"/>
							</g:customCell>
						</g:row>
						<g:row>
							<g:customCell>
								<g:Label text="Title (de):"/>
							</g:customCell>
							<g:customCell>
								<g:TextBox ui:field="txtTitleDE"/>
							</g:customCell>
						</g:row>
					</g:Grid>
					</g:VerticalPanel>
					<g:VerticalPanel ui:field="vpnOriginalImage">
					<g:Label text="Original image:"/>
					<g:FlowPanel ui:field="fpnOriginalPreview">
						<g:Image ui:field="imgOriginalPreview"/>
					</g:FlowPanel>
				</g:VerticalPanel>
					<g:VerticalPanel ui:field="vpnEdgeImage">
						<g:Label text="Edge image:"/>
						<g:FlowPanel ui:field="fpnEdgePreview">
							<g:Image ui:field="imgEdgePreview"/>
						</g:FlowPanel>
						<g:VerticalPanel ui:field="vpnDefineThreshold">
							<g:HorizontalPanel verticalAlignment="ALIGN_MIDDLE">
							<g:Label text="Threshold:"/>
							<g:TextBox ui:field="txtThreshold"/>
							<g:Button ui:field="btnGenerate">generate</g:Button>
							</g:HorizontalPanel>
						</g:VerticalPanel>
					</g:VerticalPanel>
					<g:Cell horizontalAlignment="ALIGN_CENTER">
						<g:Button ui:field="btnSave" width="100px" height="40px" enabled="false">save</g:Button>
					</g:Cell>
					<g:Label ui:field="lblStatus"/>
				</g:VerticalPanel>
		</g:VerticalPanel>
	</g:HTMLPanel>
</ui:UiBinder> 